/*
 * ProActive Parallel Suite(TM):
 * The Open Source library for parallel and distributed
 * Workflows & Scheduling, Orchestration, Cloud Automation
 * and Big Data Analysis on Enterprise Grids & Clouds.
 *
 * Copyright (c) 2007 - 2017 ActiveEon
 * Contact: contact@activeeon.com
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation: version 3 of
 * the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * If needed, contact us to obtain a release under GPL Version 2 or 3
 * or a different license than the AGPL.
 */
package org.ow2.proactive_grid_cloud_portal.scheduler.dto;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;


@XmlRootElement
public class TaskInfoData implements Serializable {
    private JobIdData jobId;

    private TaskIdData taskId;

    private long startTime;

    private long finishedTime;

    private long inErrorTime;

    private long scheduledTime;

    private long executionDuration;

    private TaskStatusData taskStatus;

    private String executionHostName;

    private int numberOfExecutionLeft;

    private int numberOfExecutionOnFailureLeft;

    private boolean visualizationActivated = false;

    private String visualizationConnectionString = null;

    private int progress;

    public TaskIdData getTaskId() {
        return taskId;
    }

    public void setTaskId(TaskIdData taskId) {
        this.taskId = taskId;
    }

    public JobIdData getJobId() {
        return jobId;
    }

    public void setJobId(JobIdData jobId) {
        this.jobId = jobId;
    }

    public long getStartTime() {
        return startTime;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public long getInErrorTime() {
        return inErrorTime;
    }

    public void setInErrorTime(long inErrorTime) {
        this.inErrorTime = inErrorTime;
    }

    public long getFinishedTime() {
        return finishedTime;
    }

    public void setFinishedTime(long finishedTime) {
        this.finishedTime = finishedTime;
    }

    public TaskStatusData getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(TaskStatusData taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getExecutionHostName() {
        return executionHostName;
    }

    public void setExecutionHostName(String executionHostName) {
        this.executionHostName = executionHostName;
    }

    public int getNumberOfExecutionLeft() {
        return numberOfExecutionLeft;
    }

    public void setNumberOfExecutionLeft(int numberOfExecutionLeft) {
        this.numberOfExecutionLeft = numberOfExecutionLeft;
    }

    public int getNumberOfExecutionOnFailureLeft() {
        return numberOfExecutionOnFailureLeft;
    }

    public void setNumberOfExecutionOnFailureLeft(int numberOfExecutionOnFailureLeft) {
        this.numberOfExecutionOnFailureLeft = numberOfExecutionOnFailureLeft;
    }

    public int getProgress() {
        return progress;
    }

    public void setProgress(int progress) {
        this.progress = progress;
    }

    public long getExecutionDuration() {
        return executionDuration;
    }

    public void setExecutionDuration(long executionDuration) {
        this.executionDuration = executionDuration;
    }

    public long getScheduledTime() {
        return scheduledTime;
    }

    public void setScheduledTime(long scheduledTime) {
        this.scheduledTime = scheduledTime;
    }

    public boolean isVisualizationActivated() {
        return visualizationActivated;
    }

    public void setVisualizationActivated(boolean visualizationActivated) {
        this.visualizationActivated = visualizationActivated;
    }

    public String getVisualizationConnectionString() {
        return visualizationConnectionString;
    }

    public void setVisualizationConnectionString(String visualizationConnectionString) {
        this.visualizationConnectionString = visualizationConnectionString;
    }
}
