/*
 * ProActive Parallel Suite(TM):
 * The Open Source library for parallel and distributed
 * Workflows & Scheduling, Orchestration, Cloud Automation
 * and Big Data Analysis on Enterprise Grids & Clouds.
 *
 * Copyright (c) 2007 - 2017 ActiveEon
 * Contact: contact@activeeon.com
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation: version 3 of
 * the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * If needed, contact us to obtain a release under GPL Version 2 or 3
 * or a different license than the AGPL.
 */
package org.ow2.proactive.resourcemanager.frontend.topology;

import java.util.HashMap;
import java.util.Map;

import org.objectweb.proactive.annotation.PublicAPI;


@PublicAPI
public class TopologyData {

    private Map<String, Map<String, Long>> distances = new HashMap<>();

    private Map<String, String> hosts = new HashMap<>();

    /**
     * This map is needed to store the dependency between host name and address.
     * All listeners of the RM receive only host name in events, so for them it's simpler to
     * operate with strings.
     */
    public Map<String, Map<String, Long>> getDistances() {
        return distances;
    }

    public void setDistances(Map<String, Map<String, Long>> distances) {
        this.distances = distances;
    }

    /**
     * Host -&gt; Hosts -&gt; Distance
     * Store here only half of matrix - each host have distances to hosts added before.
     * Assume that they are symmetrical.
     */
    public Map<String, String> getHosts() {
        return hosts;
    }

    public void setHosts(Map<String, String> hosts) {
        this.hosts = hosts;
    }
}
